> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1commit tags



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/commit_tags
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/commit_tags:
    get:
      tags:
        - commit_tags
      operationId: list_tags
      responses:
        '200':
          description: List of tags
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTagsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    ListTagsResponse:
      type: object
      description: Response body for GET /api/v1/commit_tags
      required:
        - tags
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagInfo'
          description: List of all tags in the user's organization
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
    TagInfo:
      type: object
      description: Tag information returned in list and get operations
      required:
        - tag_id
        - tag_name
        - commit_id
        - created_at
        - updated_at
      properties:
        commit_id:
          type: string
          format: uuid
          description: The commit ID this tag currently points to
        created_at:
          type: string
          format: date-time
          description: When the tag was created
        description:
          type:
            - string
            - 'null'
          description: Optional description of what this tag represents
        tag_id:
          type: string
          format: uuid
          description: The tag's unique identifier
        tag_name:
          type: string
          description: The name of the tag
        updated_at:
          type: string
          format: date-time
          description: >-
            When the tag was last updated (moved to different commit or
            description changed)
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````